Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultRelationNameResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultRelationNameResolver

All Implemented Interfaces:
  RelationNameResolver

    public static class ObjectGraphBuilder.DefaultRelationNameResolver

Default impl that returns parentName & childName accordingly.

Method Summary
`String` | `resolveChildRelationName(String parentName, Object parent, String childName, Object child)` Handles the common English regular plurals with the following rules.
`String` | `resolveParentRelationName(String parentName, Object parent, String childName, Object child)` Follow the most conventional pattern, returns the parentName unchanged.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### resolveChildRelationName

    public String resolveChildRelationName(String parentName, Object parent, String childName, Object child)

  Handles the common English regular plurals with the following rules.
  - If childName ends in {consonant}y, replace 'y' with "ies". For example, allergy to allergies.
  - Otherwise, append 's'. For example, monkey to monkeys; employee to employees.
  If the property does not exist then it will return childName unchanged.
  See Also:

### resolveParentRelationName

    public String resolveParentRelationName(String parentName, Object parent, String childName, Object child)

  Follow the most conventional pattern, returns the parentName unchanged.

Copyright © 2003-2010 The Codehaus. All rights reserved.